﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace VrpSolverClean
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dataGridZakaznici.DataSource = Databaze.Zakaznici;
        }

        private void ButtonSpocitej_Click(object sender, EventArgs e)
        {
            // Zobrazi chybovou hlasku, pokud nemame alespon dva zakazniky. Jinak pokracuje dale.
            if (Databaze.Zakaznici.Count < 2)
            {
                MessageBox.Show(
                            "Pridejte zakazniky pro pokracovani",
                            "Chyba",
                            MessageBoxButtons.OK,
                            MessageBoxIcon.Warning);
            }
            else
            {
                Form f = new FormZobrazeni();
                f.Show();
            }
        }

        private void ButtonPridatZakaznika_Click(object sender, EventArgs e)
        {
            Form f = new FormPridaniZakaznika();
            f.Show();
        }
    }
}
