﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace VrpSolverClean
{
    public partial class FormPridaniZakaznika : Form
    {
        public FormPridaniZakaznika()
        {
            InitializeComponent();
        }

        private void PridatButton_Click(object sender, EventArgs e)
        {
            // Pomocna promenna pro zjisteni, jestli nam program nahlasil chybu nebo ne
            bool error = false;
            // Skupina logickych pravidel, kontrolujici vsechny textboxy v aktualni forme, jestli obsahuji nejake data. Kdyz ne, nahlasi chybu.
            foreach (Control child in this.Controls)
            {
                if (child is TextBox textBox)
                {
                    if (string.IsNullOrWhiteSpace(textBox.Text))
                    {
                        MessageBox.Show(
                            "Vyplnte prosim vsechna pole",
                            "Chyba",
                            MessageBoxButtons.OK,
                            MessageBoxIcon.Warning);
                        error = true;
                        break;
                    }
                }
            }

            // Pokud vse probehlo bez chyby - vse je vyplneno, je vytvoren novy zakaznik s daty z textboxu, pote je aktualni okno zavreno.
            if (!error)
            {
                Databaze.NovyZakaznik(tbUlice.Text, tbCP.Text, tbMesto.Text);
                this.Close();
            }
        }
    }
}
